Activate Public Key
Activates the public key for payload encryption.
The public key is used to encrypt the payload sent to the target when the payload type is set to PAYLOAD_TYPE_JWE.
Activating a new key will deactivate the current active key. Only one key can be active at a time.
The active key is indicated in the kid header in the JWE token sent to the target.
Activating a key that is already active is a no-op.
Required permission:
action.target.write
Path Parameters
TargetID is the unique identifier of the target to activate the public key for.
KeyID is the unique identifier of the public key to activate.
Response Body
application/json
curl -X POST "https://loading/v2/actions/targets/string/publickeys/string/activate"{
"changeDate": "2023-01-15T01:30:15.01Z"
}Was this page helpful?
Action API
Explore the Action API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Add Public Key
Add Public Key: Adds a public key to the target for payload encryption. The public key is used to encrypt the payload sent to the target when the payload type is set to `PAYLOAD_TYPE_JWE`. The public key must be i...